Package org.springframework.mock.web

# Class MockMultipartHttpServletRequest

java.lang.Object
org.springframework.mock.web.MockHttpServletRequest
org.springframework.mock.web.MockMultipartHttpServletRequest

All Implemented Interfaces:
  `HttpServletRequest`, `ServletRequest`, `org.springframework.web.multipart.MultipartHttpServletRequest`, `org.springframework.web.multipart.MultipartRequest`

public class MockMultipartHttpServletRequest extends MockHttpServletRequest implements org.springframework.web.multipart.MultipartHttpServletRequest
Mock implementation of the `MultipartHttpServletRequest` interface.

As of Spring 6.0, this set of mocks is designed on a Servlet 6.0 baseline.

Useful for testing application controllers that access multipart uploads. `MockMultipartFile` can be used to populate these mock requests with files.

Since:
  2.0
Author:
  Juergen Hoeller, Eric Crampton, Arjen Poutsma
See Also:
  - `MockMultipartFile`

## Field Summary

### Fields inherited from class org.springframework.mock.web.MockHttpServletRequest

`DEFAULT_PROTOCOL, DEFAULT_REMOTE_ADDR, DEFAULT_REMOTE_HOST, DEFAULT_SCHEME, DEFAULT_SERVER_ADDR, DEFAULT_SERVER_NAME, DEFAULT_SERVER_PORT`

### Fields inherited from interface jakarta.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`MockMultipartHttpServletRequest()`
Create a new `MockMultipartHttpServletRequest` with a default `MockServletContext`.
`MockMultipartHttpServletRequest(ServletContext servletContext)`
Create a new `MockMultipartHttpServletRequest` with the supplied `ServletContext`.

## Method Summary

Modifier and Type
Method
Description
`void`
`addFile(org.springframework.web.multipart.MultipartFile file)`
Add a file to this request.
`org.springframework.web.multipart.MultipartFile`
`getFile(String name)`
`Map<String,org.springframework.web.multipart.MultipartFile>`
`getFileMap()`
`Iterator<String>`
`getFileNames()`
`List<org.springframework.web.multipart.MultipartFile>`
`getFiles(String name)`
`org.springframework.util.MultiValueMap<String,org.springframework.web.multipart.MultipartFile>`
`getMultiFileMap()`
`String`
`getMultipartContentType(String paramOrFileName)`
`org.springframework.http.HttpHeaders`
`getMultipartHeaders(String paramOrFileName)`
`org.springframework.http.HttpHeaders`
`getRequestHeaders()`
`org.springframework.http.HttpMethod`
`getRequestMethod()`

### Methods inherited from class org.springframework.mock.web.MockHttpServletRequest

`addHeader, addParameter, addParameter, addParameters, addPart, addPreferredLocale, addUserRole, authenticate, changeSessionId, checkActive, clearAttributes, close, getAsyncContext, getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentAsByteArray, getContentAsString, getContentLength, getContentLengthLong, getContentType, getContextPath, getCookies, getDateHeader, getDispatcherType, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameterValues, getPart, getParts, getPathInfo, getPathTranslated, getProtocol, getProtocolRequestId, getQueryString, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getRequestId, getRequestURI, getRequestURL, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, getServletPath, getSession, getSession, getUriTemplate, getUserPrincipal, invalidate, isActive, isAsyncStarted, isAsyncSupported, isRequestedSessionIdFromCookie, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, login, logout, removeAllParameters, removeAttribute, removeHeader, removeParameter, setAsyncContext, setAsyncStarted, setAsyncSupported, setAttribute, setAuthType, setCharacterEncoding, setContent, setContentType, setContextPath, setCookies, setDispatcherType, setHttpServletMapping, setLocalAddr, setLocalName, setLocalPort, setMethod, setParameter, setParameter, setParameters, setPathInfo, setPreferredLocales, setProtocol, setQueryString, setRemoteAddr, setRemoteHost, setRemotePort, setRemoteUser, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestedSessionIdFromURL, setRequestedSessionIdValid, setRequestURI, setScheme, setSecure, setServerName, setServerPort, setServletPath, setSession, setUriTemplate, setUserPrincipal, startAsync, startAsync, upgrade`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.http.HttpServletRequest

`authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getTrailerFields, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from interface jakarta.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getProtocolRequestId, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getRequestId, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

## Constructor Details

### MockMultipartHttpServletRequest

public MockMultipartHttpServletRequest()
Create a new `MockMultipartHttpServletRequest` with a default `MockServletContext`.

See Also:
  - `MockMultipartHttpServletRequest(ServletContext)`

### MockMultipartHttpServletRequest

public MockMultipartHttpServletRequest(@Nullable ServletContext servletContext)
Create a new `MockMultipartHttpServletRequest` with the supplied `ServletContext`.

Parameters:
  `servletContext` - the ServletContext that the request runs in (may be `null` to use a default `MockServletContext`)

## Method Details

### addFile

public void addFile(org.springframework.web.multipart.MultipartFile file)
Add a file to this request. The parameter name from the multipart form is taken from the `MultipartFile.getName()`.

Parameters:
  `file` - multipart file to be added

### getFileNames

public Iterator<String> getFileNames()

Specified by:
  `getFileNames` in interface `org.springframework.web.multipart.MultipartRequest`

### getFile

@Nullable public org.springframework.web.multipart.MultipartFile getFile(String name)

Specified by:
  `getFile` in interface `org.springframework.web.multipart.MultipartRequest`

### getFiles

public List<org.springframework.web.multipart.MultipartFile> getFiles(String name)

Specified by:
  `getFiles` in interface `org.springframework.web.multipart.MultipartRequest`

### getFileMap

public Map<String,org.springframework.web.multipart.MultipartFile> getFileMap()

Specified by:
  `getFileMap` in interface `org.springframework.web.multipart.MultipartRequest`

### getMultiFileMap

public org.springframework.util.MultiValueMap<String,org.springframework.web.multipart.MultipartFile> getMultiFileMap()

Specified by:
  `getMultiFileMap` in interface `org.springframework.web.multipart.MultipartRequest`

### getMultipartContentType

@Nullable public String getMultipartContentType(String paramOrFileName)

Specified by:
  `getMultipartContentType` in interface `org.springframework.web.multipart.MultipartRequest`

### getRequestMethod

public org.springframework.http.HttpMethod getRequestMethod()

Specified by:
  `getRequestMethod` in interface `org.springframework.web.multipart.MultipartHttpServletRequest`

### getRequestHeaders

public org.springframework.http.HttpHeaders getRequestHeaders()

Specified by:
  `getRequestHeaders` in interface `org.springframework.web.multipart.MultipartHttpServletRequest`

### getMultipartHeaders

@Nullable public org.springframework.http.HttpHeaders getMultipartHeaders(String paramOrFileName)

Specified by:
  `getMultipartHeaders` in interface `org.springframework.web.multipart.MultipartHttpServletRequest`